/*
 * 作成日: 2005/01/27
 */
package bakusen.client;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Image;

import bakusen.common.Body;

/**
 * @author cattaka
 */
public class CharacterBody extends ClientBody
{
	public CharacterBody(CharacterImage ci)
	{
		setCharacterImage(ci);
	}
	public CharacterBody()
	{
		setType(Body.NONE);
	}
	public void drawCharacter(Graphics g, long currenttime)
	{
		int offsetx = getCharacterImage().getWidth() / 2;
		int offsety = getCharacterImage().getHeight() / 2;
		int x = (int) (getPosition().x * BStagePanel.CHARACTERSIZE - offsetx);
		int y = (int) (getPosition().y * BStagePanel.CHARACTERSIZE - offsety);
		int n = ((int)(currenttime - getLastStateChange()))/BStagePanel.ANIMINTERVAL;

		Image[] img = getCharacterImage().getImages(getImageMode());
		g.drawImage(img[n%img.length], x, y, null);
		if (getName().length() > 0)
		{
			g.setColor(Color.WHITE);
			g.drawString(getName(), x, y);
		}
	}
}
