/*
 * 作成日: 2005/01/18
 */
package bakusen.debug;

import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import javax.swing.JFrame;

import bakusen.client.BStagePanel;
import bakusen.client.ClientBody;

/**
 * @author cattaka
 */
public class DrawTest extends JFrame implements KeyListener
{
	BStagePanel sp;
	ClientBody cb;
	
	public DrawTest()
	{
		init();
	}
	private void init()
	{
		setSize(300,300);
		sp = new BStagePanel();
		GridBagLayout gbl = new GridBagLayout();
		GridBagConstraints gc = new GridBagConstraints();
		gc.fill = GridBagConstraints.BOTH;
		gc.weightx = 1;
		gc.weighty = 1;
		gbl.setConstraints(sp,gc);
		getContentPane().setLayout(gbl);
		getContentPane().add(sp);
		
		addKeyListener(this);
	}
	
	public void keyPressed(KeyEvent e)
	{
		if (e.getKeyCode() == KeyEvent.VK_UP)
		{
			cb.getVelocity().y = -2;
		}
		else if (e.getKeyCode() == KeyEvent.VK_LEFT)
		{
			cb.getVelocity().x = -2;
		}
		else if (e.getKeyCode() == KeyEvent.VK_RIGHT)
		{
			cb.getVelocity().x = 2;
		}
		else if (e.getKeyCode() == KeyEvent.VK_DOWN)
		{
			cb.getVelocity().y = 2;
		}
	}
	public void keyReleased(KeyEvent e)
	{
	}
	public void keyTyped(KeyEvent e)
	{
	}
	
	public static void main(String[] args)
	{
		DrawTest dt = new DrawTest();
		dt.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		dt.show();
	}
}
