/*
 * 作成日: 2007/01/22
 */
package bakutan.client;

import java.awt.event.KeyEvent;
import static bakutan.client.KeyConfig.*;

public class BakutanKeyConfig
{
    public BakutanKeyConfig()
    {
        super();
    }
    public static void makeDefault(KeyConfig kc)
    {
        kc.clear();
        kc.putKeyToAction(KeyEvent.VK_UP, ACTION_UP);
        kc.putKeyToAction(KeyEvent.VK_DOWN, ACTION_DOWN);
        kc.putKeyToAction(KeyEvent.VK_LEFT, ACTION_LEFT);
        kc.putKeyToAction(KeyEvent.VK_RIGHT, ACTION_RIGHT);
        kc.putKeyToAction(KeyEvent.VK_SHIFT, ACTION_WEAPON_NEXT);
        kc.putKeyToAction(KeyEvent.VK_CONTROL, ACTION_WEAPON_PREV);
        kc.putKeyToAction(KeyEvent.VK_SPACE, ACTION_ATTACK);
        kc.putKeyToAction(KeyEvent.VK_V, ACTION_SELECT_ACTION_1);
        kc.putKeyToAction(KeyEvent.VK_C, ACTION_SELECT_ACTION_2);
        kc.putKeyToAction(KeyEvent.VK_X, ACTION_SELECT_ACTION_3);
        kc.putKeyToAction(KeyEvent.VK_Z, ACTION_SELECT_ACTION_4);
        kc.putKeyToAction(KeyEvent.VK_F, ACTION_SELECT_ACTION_6);
        kc.putKeyToAction(KeyEvent.VK_D, ACTION_SELECT_ACTION_7);
        kc.putKeyToAction(KeyEvent.VK_S, ACTION_SELECT_ACTION_8);
        kc.putKeyToAction(KeyEvent.VK_A, ACTION_SELECT_ACTION_9);
        kc.putKeyToAction(KeyEvent.VK_G, ACTION_ACTION_5);
        kc.setMouseAction(0, ACTION_MOUSE_MOVE);
        kc.setMouseAction(1, ACTION_ATTACK);
        kc.setMouseAction(2, ACTION_ATTACK);
    }
    public static String getActionName(int event)
    {
        if (event == ACTION_UP)
            return "up";
        else if (event == ACTION_DOWN)
            return "down";
        else if (event == ACTION_LEFT)
            return "left";
        else if (event == ACTION_RIGHT)
            return "right";
        else if (event == ACTION_WEAPON_NEXT)
            return "weapon_next";
        else if (event == ACTION_WEAPON_PREV)
            return "weapon_prev";
        else if (event == ACTION_ATTACK)
            return "attack";
        else if (event == ACTION_ACTION_1)
            return "missile";
        else if (event == ACTION_ACTION_2)
            return "bomb";
        else if (event == ACTION_ACTION_3)
            return "slug";
        else if (event == ACTION_ACTION_4)
            return "homing";
        else if (event == ACTION_ACTION_5)
            return "fierceattack";
        else if (event == ACTION_ACTION_6)
            return "barrage";
        else if (event == ACTION_ACTION_7)
            return "clusterbomb";
        else if (event == ACTION_ACTION_8)
            return "phalanx";
        else if (event == ACTION_ACTION_9)
            return "avenger";
        else if (event == ACTION_ACTION_10)
            return "action_10";
        else if (event == ACTION_SELECT_ACTION_1)
            return "select_missile";
        else if (event == ACTION_SELECT_ACTION_2)
            return "select_bomb";
        else if (event == ACTION_SELECT_ACTION_3)
            return "select_slug";
        else if (event == ACTION_SELECT_ACTION_4)
            return "select_homing";
        else if (event == ACTION_SELECT_ACTION_5)
            return "select_fierceattack";
        else if (event == ACTION_SELECT_ACTION_6)
            return "select_barrage";
        else if (event == ACTION_SELECT_ACTION_7)
            return "select_clusterbomb";
        else if (event == ACTION_SELECT_ACTION_8)
            return "select_phalanx";
        else if (event == ACTION_SELECT_ACTION_9)
            return "select_avenger";
        else if (event == ACTION_SELECT_ACTION_10)
            return "select_action_10";
        else if (event == ACTION_MOUSE_MOVE)
            return "move_by_mouse";
        else
            return null;
    }

}
