/*
 * 作成日: 2007/01/28
 */
package bakutan.common.serverinfo;

import java.net.InetSocketAddress;

public class ServerInfoManagerAddress
{
    private String hostName;
    private int port;
    
    public ServerInfoManagerAddress(String hostname, int port)
    {
        if (hostname == null)
            throw new NullPointerException();
        this.hostName = hostname;
        this.port = port;
    }
    
    public String getHostName()
    {
        return hostName;
    }

    public int getPort()
    {
        return port;
    }

    public InetSocketAddress getInetAddress()
    {
        return new InetSocketAddress(hostName, port);
    }
}
