/*
 * Copyright 2005 Takao Sumitomo. All rights reserved.
 * 
 * Redistribution and use in source and binary forms,
 * with or without modification, are permitted provided 
 * that the following conditions are met:
 *
 *   1. Redistributions of source code must retain the 
 *      above copyright notice, this list of conditions
 *      and the following disclaimer.
 *   2. Redistributions in binary form must reproduce 
 *      the above copyright notice, this list of conditions
 *      and the following disclaimer in the documentation
 *      and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL CONTRIBUTORS BE 
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * The views and conclusions contained in the software
 * and documentation are those of the authors and should not be
 * interpreted as representing official policies,
 * either expressed or implied.
 * 
 * @Author: Takao Sumitomo
 */

/*
 * 作成日: 2005/02/10
 */
package bakutan.common.util;

/**
 * @author cattaka
 */
public class BakutanClock
{
    //public static BakusenTimer bakusenTimer = new BakusenTimer();
	public static long getCurrenttime()
	{
		//return bakusenTimer.getCurrenttime();
		return System.currentTimeMillis();
	}
	public static void main(String[] args)
	{
		int i = 0;
		while(true)
		{
			System.out.println(""+(i++)+"s "+getCurrenttime());
			try
			{
				Thread.sleep(1000);
			}catch(InterruptedException e)
			{
				e.printStackTrace();
			}
		}
	}
}
//class BakusenTimer  extends Thread
//{
//	private long currenttime = 0;
//	BakusenTimer()
//	{
//		//setPriority((Thread.MAX_PRIORITY+Thread.NORM_PRIORITY)/2);
//		//setPriority(Thread.MAX_PRIORITY);
//		this.start();
//	}
//	public void run()
//	{
//		while(true)
//		{
//			synchronized(this)
//			{
//				currenttime += 30;
//			}
//			try
//			{
//				Thread.sleep(30);
//			}catch(InterruptedException e)
//			{
//				e.printStackTrace();
//			}
//		}
//	}
//	public long getCurrenttime()
//	{
//		synchronized(this)
//		{
//			return currenttime;
//		}
//	}
//}