/*
 * 作成日: 2006/12/23
 */
package bakutan.common.util;

import java.io.ByteArrayInputStream;

public class ResetableByteArrayInputStream extends ByteArrayInputStream
{

    public ResetableByteArrayInputStream(byte[] buf)
    {
        super(buf);
    }

    public ResetableByteArrayInputStream(byte[] buf, int offset, int length)
    {
        super(buf, offset, length);
    }
    public  void setBuf(byte[] buf, int offset, int length)
    {
        this.buf = buf;
        this.pos = offset;
        this.count = Math.min(offset + length, buf.length);
        this.mark = offset;
    }
}
