/*
 * 作成日: 2007/01/25
 */
package bakutan.debug;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;

public class CaptureOutputStream extends OutputStream
{
    OutputStream out;
    OutputStream fileOut;
    public CaptureOutputStream(OutputStream out, File outFile) throws IOException
    {
        super();
        this.out = out;
        fileOut = new FileOutputStream(outFile);
    }

    @Override
    public void write(int b) throws IOException
    {
        out.write(b);
        fileOut.write(b);
    }
    @Override
    public void close() throws IOException
    {
        super.close();
        out.close();
        fileOut.close();
    }
}
