/*
 * 作成日: 2006/12/15
 */
package bakutan.server;

public class DataBaseInfo
{
    public static final String TABLE_SERVERS = "servers";
    
    private String driver;
    private String db_program;
    private String user;
    private String password;
    private String hostname;
    private String database;
    private String charset;
    private String tablePrefix;
    
    public DataBaseInfo()
    {
    }
    public DataBaseInfo(String driver, String db_program, String user, String password, String hostname, String database, String charset, String tablePrefix)
    {
        setDriver(driver);
        setDb_program(db_program);
        setUser(user);
        setPassword(password);
        setHostname(hostname);
        setDatabase(database);
        setTablePrefix(tablePrefix);
        setCharset(charset);
    }
    public String getDatabase()
    {
        return database;
    }
    public void setDatabase(String database)
    {
        this.database = database;
    }
    public String getDb_program()
    {
        return db_program;
    }
    public void setDb_program(String db_program)
    {
        this.db_program = db_program;
    }
    public String getDriver()
    {
        return driver;
    }
    public void setDriver(String driver)
    {
        this.driver = driver;
    }
    public String getHostname()
    {
        return hostname;
    }
    public void setHostname(String hostname)
    {
        this.hostname = hostname;
    }
    public String getPassword()
    {
        return password;
    }
    public void setPassword(String password)
    {
        this.password = password;
    }
    public String getUser()
    {
        return user;
    }
    public void setUser(String user)
    {
        this.user = user;
    }
    
    public String getCharset()
    {
        return charset;
    }
    public void setCharset(String charset)
    {
        this.charset = charset;
    }
    public String createDSN()
    {
        return "jdbc:" + db_program + "://" + hostname + "/" + database + "?user=" + user + "&password=" + password + "&useUnicode=true&characterEncoding="+charset;
    }
    public String getTablePrefix()
    {
        return tablePrefix;
    }
    public void setTablePrefix(String tablePrefix)
    {
        this.tablePrefix = tablePrefix;
    }
    
}
