/*
 * 作成日: 2006/12/15
 */
package bakutan.server;

import java.util.HashMap;

public class NullUserDataHolder implements UserDataHolder
{

    public NullUserDataHolder()
    {
        super();
    }

    public UserInfo authorize(String username, String pass)
    {
        return null;
    }

    public UserInfo checkGuest(String nickname)
    {
        if (nickname.length() == 0)
            return null;
        return new UserInfo(1, nickname);
    }
    public boolean updateScore(int accounID, int total, HashMap<Integer, ScorePack> scoreMap)
    {
        return true;
    }
    public boolean addUser(String username, String nickname, String pass)
    {
        return false;
    }

    public boolean initialize()
    {
        return true;
    }
    public int getGuestID()
    {
        return 0;
    }
}
