/*
 * 作成日: 2007/01/17
 */
package bakutan.common;

import bakutan.common.ai.AIInterface;

public class GameOption
{
    private int fpsLimit = 60;
    private int interval = 16;
    private long intervalDerey = 0;
    private boolean recordReplay = false;
    private AIInterface aiInterface;
    private boolean workAI = false;
    private boolean recordAI = false;
    private boolean forceReconnect = false;

    public GameOption()
    {
        super();
    }

    public int getFpsLimit()
    {
        return fpsLimit;
    }

    public void setFpsLimit(int fpsLimit)
    {
        this.fpsLimit = fpsLimit;
        if ( fpsLimit <= 0)
            setInterval(0);
        else
            setInterval((int)(1000d / (double)fpsLimit));
    }

    public int getInterval()
    {
        return interval;
    }

    public void setInterval(int interval)
    {
        this.interval = interval;
    }

    public long getIntervalDerey()
    {
        return intervalDerey;
    }

    public void setIntervalDerey(long intervalDerey)
    {
        this.intervalDerey = intervalDerey;
    }

    public boolean isRecordReplay()
    {
        return recordReplay;
    }

    public void setRecordReplay(boolean recordReplay)
    {
        this.recordReplay = recordReplay;
    }

    public AIInterface getAiInterface()
    {
        return aiInterface;
    }

    public void setAiInterface(AIInterface aiInterface)
    {
        this.aiInterface = aiInterface;
    }

    public boolean isRecordAI()
    {
        return recordAI;
    }

    public void setRecordAI(boolean recordAI)
    {
        this.recordAI = recordAI;
    }

    public boolean isWorkAI()
    {
        return workAI;
    }

    public void setWorkAI(boolean workAI)
    {
        this.workAI = workAI;
    }

    public boolean isForceReconnect()
    {
        return forceReconnect;
    }

    public void setForceReconnect(boolean forceReconnect)
    {
        this.forceReconnect = forceReconnect;
    }
    
}
