/*
 * 作成日: 2006/12/15
 */
package bakutan.common;

public class LoginInfo
{
    public static final int MODE_LOGIN = 0;
    public static final int MODE_GUEST = 1;
    public static final int MODE_NEWACOUNT = 2;

    private int mode;
    private String username;
    private String nickname;
    private String password;
    
    public LoginInfo()
    {
        setMode(MODE_GUEST);
    }

    public LoginInfo(String username, String nickname, String password, int mode)
    {
        setUsername(username);
        setNickname(nickname);
        setPassword(password);
        setMode(mode);
    }

    public int getMode()
    {
        return mode;
    }

    public void setMode(int mode)
    {
        this.mode = mode;
    }

    public String getNickname()
    {
        return nickname;
    }

    public void setNickname(String nickname)
    {
        this.nickname = nickname;
    }

    public String getPassword()
    {
        return password;
    }

    public void setPassword(String password)
    {
        this.password = password;
    }

    public String getUsername()
    {
        return username;
    }

    public void setUsername(String username)
    {
        this.username = username;
    }
    
}
