/*
 * 作成日: 2007/01/17
 */
package bakutan.common;
 
import java.io.File;

import bakutan.common.util.BAudio;
import bakutan.common.util.NullBAudio;
 
public class NullUserInterface implements BUserInterface
{
    private BAudio baudio = new NullBAudio();

    public NullUserInterface()
    {
        super();
    }
    public void outputMessage(String message)
    {
        //System.out.println(dateFormat.format(new Date()) + " : " + message);
    }

    public String translate(String key)
    {
        return key;
    }

    public String translate(String key, String[] args)
    {
        StringBuffer buf = new StringBuffer(key);
        if (args.length > 0)
        {
            buf.append(":");
            for (int i=0;i<args.length;i++)
            {
                buf.append(args[i]);
                if (i+1<args.length)
                    buf.append(",");
            }
        }
        return buf.toString();
    }

    public File getWorkDir()
    {
        return null;
    }

    public BAudio getBAudio()
    {
        return baudio;
    }
}
