/*
 * 作成日: 2007/01/25
 */
package bakutan.common.util;

import bakutan.common.math.BVector2f;

public class ImplementBAudio implements BAudio
{
    private BSound bsound;
    private BBGM bbgm;

    public ImplementBAudio()
    {
        super();
        this.bsound = new BSound(20);
        this.bbgm = new BBGM();
    }
    public BGMBundle getBgmBundle()
    {
        return bbgm.getBgmBundle();
    }
    public int getBGMVolume()
    {
        return bbgm.getVolume();
    }
    public boolean isBGMEnable()
    {
        return bbgm.isEnable();
    }
    public void playBGM()
    {
        bbgm.play();
    }
    public void setBgmBundle(BGMBundle bgmBundle)
    {
        bbgm.setBgmBundle(bgmBundle);
    }
    public void setBGMEnable(boolean enable)
    {
        bbgm.setEnable(enable);
    }
    public void setBGMVolume(int volume)
    {
        bbgm.setVolume(volume);
    }
    public SEBundle getSEBundle()
    {
        return bsound.getSEBundle();
    }
    public int getSEVolume()
    {
        return bsound.getVolume();
    }
    public boolean isSERunning()
    {
        return bsound.isRunning();
    }
    public void playSE(byte type, int rag, BVector2f center, BVector2f pos)
    {
        bsound.play(type, rag, center, pos);
    }
    public void playSE(byte type, int rag)
    {
        bsound.play(type, rag);
    }
    public void setSEEnable(boolean enable)
    {
        bsound.setEnable(enable);
    }
    public void setSEBundle(SEBundle audioBundle)
    {
        bsound.setSEBundle(audioBundle);
    }
    public void setSEVolume(int volume)
    {
        bsound.setVolume(volume);
    }
    public void stopBGM()
    {
        bbgm.stop();
    }
}
