/*
 * 作成日: 2007/01/25
 */
package bakutan.debug;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class CaptureInputStream extends InputStream
{
    InputStream in;
    OutputStream fileOut;
    public CaptureInputStream(InputStream in, File outFile) throws IOException
    {
        super();
        this.in = in;
        this.fileOut = new FileOutputStream(outFile);
    }

    @Override
    public int read() throws IOException
    {
        int i = in.read();
        fileOut.write(i);
        return i;
    }
    @Override
    public void close() throws IOException
    {
        super.close();
        in.close();
        fileOut.close();
    }
}
