/*
 * 作成日: 2006/11/30
 */
package bakutan.game.deathmatch;

import java.util.Comparator;

import bakutan.common.Body;
import bakutan.common.math.BVector2f;

public class BodySiteComparator implements Comparator<Body>
{
    private BVector2f target = new BVector2f();
    public BodySiteComparator()
    {
    }
    
    public void setTarget(BVector2f target)
    {
        this.target.set(target);
    }
    
    public int compare(Body b1, Body b2)
    {
        double d1 = BVector2f.getDistance(target,b1.getPosition());
        double d2 = BVector2f.getDistance(target,b2.getPosition());
        if (d1 == d2)
            return 0;
        else if (d1 > d2)
            return 1;
        else
            return -1;
    }
}
